Skip to main content

API Key Authentication

All endpoints require an API key passed in the X-API-KEY header.

Getting Your API Key

You can find your API key in your Octanist dashboard under Settings > General > API Keys.
Make sure you are in the correct organization. The API key is organization-specific and if you get the wrong API key, you might see leads going to the wrong organization or other unwanted behavior.

Using Your API Key

Include your API key in the X-API-KEY header with every request:
curl -H "X-API-KEY: your_api_key" https://octanist.com/api/leads

Security Best Practices

Keep your API key secure and never expose it in client-side code or public repositories.
  • Store your API key in environment variables
  • Rotate your API keys regularly
  • Monitor API usage for unusual activity